This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 200700 - (clipsmm) Review Request: clipsmm - A C++ interface to the CLIPS library
Review Request: clipsmm - A C++ interface to the CLIPS library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-31 00:09 EDT by Rick L Vinyard Jr
Modified: 2009-03-27 16:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 01:04:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rick L Vinyard Jr 2006-07-31 00:09:29 EDT
Spec URL: http://miskatonic.cs.nmsu.edu/pub/clipsmm.spec
SRPM URL: 
http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/clipsmm-0.0.4 2.src.rpm

Description: clipsmm is a C++ interface to the CLIPS library. The API is already fairly stable and an almost complete wrapper for CLIPS rule-based constructs.
Comment 1 Rick L Vinyard Jr 2006-07-31 00:11:58 EDT
SRPM URL: 
http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/clipsmm-0.0.4-2.src.rpm
Comment 2 Ralf Corsepius 2006-07-31 00:39:20 EDT
NEEDSWORK:

- Bogus BR. "BR: clips-devel" is required instead of "BR: clips-libs", otherwise
the pkgconfig fails.

- Building trips over a severe bug in clips:
...
 g++ -DHAVE_CONFIG_H -I. -I. -I.. -I../. -I/usr/include/clips
-I/usr/include/sigc++-2.0 -I/usr/lib/sigc++-2.0/include -O2 -g -pipe -Wall
-Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4
-m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -MT factory.lo -MD
-MP -MF .deps/factory.Tpo -c factory.cpp  -fPIC -DPIC -o .libs/factory.o
In file included from ../clipsmm/object.h:25,
                 from ../clipsmm/environmentobject.h:23,
                 from template.h:25,
                 from template.cpp:24:
../clipsmm/config.h:35:1: warning: "PACKAGE" redefined
In file included from /usr/include/clips/usrsetup.h:31,
                 from /usr/include/clips/setup.h:446,
                 from /usr/include/clips/clips.h:31,
                 from template.cpp:21:
/usr/include/clips/config.h:38:1: warning: this is the location of the previous
definition

This is a critical bug in clips. It bogusly exports an autoheader generated
file, which conflicts with clipsmm's config.h.
Comment 3 Parag AN(पराग) 2006-07-31 02:36:39 EDT
== Not an official review as I'm not yet sponsored ==
   Mock build for rawhide i386 is failed with
No package 'clips-6' found
is clips-6 is in extras? I found only clips package but not clips-6 in extras

* MUST Items:
      - dist tag is present.
      - The package is named according to the Package Naming Guidelines.
      - The spec file name matching the base package clipsmm, in the
format clipsmm.spec.
      - This package meets the Packaging Guidelines.
      - The spec file for the package is legible.
      - The package is licensed with an open-source compatible license GPL.
      - This package includes License file COPYING.
      - This source package includes the text of the license in its own file,and
that file, containing the text of the license for the package is included in %doc.
      - The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct (275cc041b5c0a28903ccace1d896fc33
 clipsmm-0.0.4.tar.bz2)
      - This package did not containd any ExcludeArch.
      - This package  have a correct %clean section.
      - This package used macros.
      - Document files are included.
      - Package did NOT contained any .la libtool archives.
      
Also,
      * Source URL is present and working.
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * I did not test package.
Comment 4 Rick L Vinyard Jr 2006-08-02 00:18:14 EDT
Spec URL: http://miskatonic.cs.nmsu.edu/pub/clipsmm.spec
SRPM URL: 
http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/clipsmm-0.0.5-1.src.rpm

This one's a lot cleaner, mainly because the srpm wasn't the one I intended (it
wasn't built from the spec I posted, which had the right BR).

The issue with the autoconf-generated config.h is also fixed in both clips and
clipsmm, and neither one has #defines that will step on each other or any other
autoconf package.
Comment 5 Parag AN(पराग) 2006-08-02 00:42:31 EDT
Mock build was successfull for rawhide i386
rpmlint is silent
Comment 6 Rick L Vinyard Jr 2006-08-06 18:21:12 EDT
Spec URL: http://miskatonic.cs.nmsu.edu/pub/clipsmm.spec
SRPM URL: 
http://miskatonic.cs.nmsu.edu/pub/fedora/5/srpms/clipsmm-0.0.6-1.src.rpm

* Sun Aug  6 2006 Rick L Vinyard Jr <rvinyard@cs.nmsu.edu> - 0.0.6-1
- New release
- Added m4 to BuildRequires

Comment 7 Kevin Fenzi 2006-10-01 16:23:53 EDT
I would be happy to review this package. 

Look for a full review in a bit here. 
Comment 8 Kevin Fenzi 2006-10-01 16:37:56 EDT
OK - Package name
OK - Spec file matches base package name.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
See below - Sources match upstream md5sum:
fb0b3f0466641e560dd1605afea248fd  clipsmm-0.0.6.tar.bz2
463fec8779f8647a0dd9bf4ea7e95769  clipsmm-0.0.6.tar.bz2.1
OK - Package compiles and builds on at least one arch.
OK - BuildRequires correct
OK - Spec has needed ldconfig in post and postun
OK - Package owns all the directories it creates.
OK - Package has no duplicate files in %files.
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Spec has consistant macro usage.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Headers/static libs in -devel subpackage.
OK - .pc files in -devel subpackage.
OK - .so files in -devel subpackage.
OK - -devel package Requires: %{name} = %{version}-%{release}
OK - .la files are removed.
OK - Package doesn't own any directories other packages own.
OK - No rpmlint output.

SHOULD Items:

OK - Should include License or ask upstream to include it.
OK - Should build in mock.

Issues:

1. Upstream sources don't match? Can you doublecheck that?
I used:
http://easynews.dl.sourceforge.net/sourceforge/clipsmm/clipsmm-0.0.6.tar.bz2
to get the source.

2. You have a
# Target: fedora-5
at the top of the spec? Can that be removed?
Comment 9 Kevin Fenzi 2006-10-08 00:22:01 EDT
Ping Rick. Do you still want to submit this package? 
Comment 10 Rick L Vinyard Jr 2006-10-08 14:12:03 EDT
Yes. Sorry for the slow reply, but things have been hectic and I was hoping to
have some time to finish up an 0.0.7 release this weekend or next.

There won't be anything that really modifies the spec file though... just API
changes.

When I release 0.0.7, I'll double check the md5sums.

As for the '# Target: fedora-5' line, the only reason I'd like to keep it in
there is that I have autotools make the specs automatically and with multiple
specs for Fedora 4, 5, 6 (and soon to be 7) as well as SuSE 10.0 and 10.1 it
makes it easier to see which spec is which if the files are outside the directories.
Comment 11 Kevin Fenzi 2006-10-09 12:30:41 EDT
Yeah, it would be good to make sure the md5sums match up. 

On the Target comment, that shouldn't need to be there for fedora-extras, 
should it? You should be able to see what branch you checked the spec out on, 
and determine version at that point? It's a pretty minor issue either way 
however. 

Let me know when the 0.0.7 release is out so I can check md5sums... ;) 
Comment 12 Kevin Fenzi 2006-11-11 20:44:08 EST
Ping Rick. Any news on this package?
Comment 13 Rick L Vinyard Jr 2006-11-12 14:29:07 EST
Spec URL: http://miskatonic.cs.nmsu.edu/pub/clipsmm.spec
SRPM URL: http://miskatonic.cs.nmsu.edu/pub/clipsmm-0.0.7-1.src.rpm

I still haven't finished the new 0.1.0 release (probably December or so for it),
so I went ahead and made an 0.0.7 release that cleans up some stuff... mainly
the smart pointers.

As for the spec, no changes except the new release updates.
Comment 14 Kevin Fenzi 2006-11-12 21:38:54 EST
Odd. The md5sum still doesn't match... 

could be something in the way you make your src.rpm? Or some problem with
sourceforge? 

9ec1cf1e393c2a8637a13a3e4bec55b7  clipsmm-0.0.7.tar.bz2
462cad31023799926ab67f78b628e719  clipsmm-0.0.7.tar.bz2.1

The size is different as well: 

-rw-r--r-- 1 kevin mock 446966 Nov 12 19:25 clipsmm-0.0.7.tar.bz2
-rw-r--r-- 1 kevin mock 446707 Nov 12 11:55 clipsmm-0.0.7.tar.bz2.1

It looks like the version in your src.rpm was generated at 11:17am today, and
the one on sourceforge was generated 11:55am?

drwxr-xr-x 8 kevin mock   1024 Nov 12 11:55 clipsmm-0.0.7-from-sourceforge
drwxr-xr-x 8 kevin mock   1024 Nov 12 11:17 clipsmm-0.0.7-from-src.rpm

Comment 15 Rick L Vinyard Jr 2006-11-13 22:05:50 EST
Sorry about that. You're right. The one I uploaded turned out to be from an
earlier test just before I pushed the release on SF. I used spectool to pull
down the tarball from SF just after the release, but failed to copy to SOURCES
before rebuilding.

Anyway, there is a new SRPM at the same location built from the SF tarball.
Comment 16 Kevin Fenzi 2006-11-18 15:40:07 EST
ok. That one matches up on md5sum and I don't see any further blockers, 
so this package is APPROVED. 

Don't forget to close this NEXTRELEASE once it's been imported and built.
(Note that cvs is down currently however). 

Also consider doing a review of another waiting package to help spread out the
reviewing load. 
Comment 17 Rick L Vinyard Jr 2009-03-26 15:35:13 EDT
Package Change Request
======================
Package Name: clipsmm
New Branches: EL-5
Owners: rvinyard
Comment 18 Kevin Fenzi 2009-03-27 16:39:48 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.